For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • POSTCreate facility credentialing span
        • GETGet facility credentialing span
        • GETGet all facility credentialing spans
        • DELDelete facility credentialing span
        • PATCHUpdate facility credentialing span
        • POSTCreate provider credentialing span
        • GETGet provider credentialing span
        • GETGet all provider credentialing spans
        • DELDelete provider credentialing span
        • PATCHUpdate provider credentialing span
Contact Sales
LogoLogo
API ReferenceCredentialingV2

Create provider credentialing span

POST
/api/provider-credentialing-span/v2
POST
/api/provider-credentialing-span/v2
$curl -X POST https://api.joincandidhealth.com/api/provider-credentialing-span/v2 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "rendering_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "contracting_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
> "regions": {
> "type": "states",
> "states": [
> "AA",
> "AA"
> ]
> }
>}'
1{
2 "contracting_provider": {
3 "npi": "npi",
4 "is_rendering": true,
5 "is_billing": true,
6 "provider_type": "INDIVIDUAL",
7 "license_type": "MD",
8 "organization_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
9 "qualifications": [
10 {
11 "identifier_code": "MCR",
12 "identifier_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
13 "identifier_value": {
14 "type": "medicare_provider_identifier",
15 "provider_number": "provider_number",
16 "state": "AA"
17 },
18 "period": {
19 "start_date": "start_date",
20 "end_date": "end_date"
21 }
22 },
23 {
24 "identifier_code": "MCR",
25 "identifier_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
26 "identifier_value": {
27 "type": "medicare_provider_identifier",
28 "provider_number": "provider_number",
29 "state": "AA"
30 },
31 "period": {
32 "start_date": "start_date",
33 "end_date": "end_date"
34 }
35 }
36 ],
37 "first_name": "first_name",
38 "last_name": "last_name",
39 "organization_name": "organization_name",
40 "tax_id": "tax_id",
41 "taxonomy_code": "taxonomy_code",
42 "addresses": [
43 {
44 "address": {
45 "address1": "address1",
46 "city": "city",
47 "state": "AA",
48 "zip_code": "zip_code",
49 "zip_plus_four_code": "zip_plus_four_code",
50 "address2": "address2"
51 },
52 "address_type": "DEFAULT"
53 },
54 {
55 "address": {
56 "address1": "address1",
57 "city": "city",
58 "state": "AA",
59 "zip_code": "zip_code",
60 "zip_plus_four_code": "zip_plus_four_code",
61 "address2": "address2"
62 },
63 "address_type": "DEFAULT"
64 }
65 ],
66 "employment_start_date": "2023-01-15",
67 "employment_termination_date": "2023-01-15"
68 },
69 "credentialing_status": "work_in_progress",
70 "is_enabled": true,
71 "payer": {
72 "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
73 "payer_id": "payer_id",
74 "payer_name": "payer_name",
75 "availity_payer_name": "availity_payer_name",
76 "availity_claims_payer_id": "availity_claims_payer_id",
77 "availity_eligibility_id": "availity_eligibility_id",
78 "availity_remittance_payer_id": "availity_remittance_payer_id",
79 "street_address": {
80 "address1": "address1",
81 "city": "city",
82 "state": "AA",
83 "zip_code": "zip_code",
84 "zip_plus_four_code": "zip_plus_four_code",
85 "address2": "address2"
86 }
87 },
88 "provider_credentialing_span_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
89 "regions": {
90 "type": "states",
91 "states": [
92 "AA",
93 "AA"
94 ]
95 },
96 "rendering_provider": {
97 "npi": "npi",
98 "is_rendering": true,
99 "is_billing": true,
100 "provider_type": "INDIVIDUAL",
101 "license_type": "MD",
102 "organization_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
103 "qualifications": [
104 {
105 "identifier_code": "MCR",
106 "identifier_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
107 "identifier_value": {
108 "type": "medicare_provider_identifier",
109 "provider_number": "provider_number",
110 "state": "AA"
111 },
112 "period": {
113 "start_date": "start_date",
114 "end_date": "end_date"
115 }
116 },
117 {
118 "identifier_code": "MCR",
119 "identifier_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
120 "identifier_value": {
121 "type": "medicare_provider_identifier",
122 "provider_number": "provider_number",
123 "state": "AA"
124 },
125 "period": {
126 "start_date": "start_date",
127 "end_date": "end_date"
128 }
129 }
130 ],
131 "first_name": "first_name",
132 "last_name": "last_name",
133 "organization_name": "organization_name",
134 "tax_id": "tax_id",
135 "taxonomy_code": "taxonomy_code",
136 "addresses": [
137 {
138 "address": {
139 "address1": "address1",
140 "city": "city",
141 "state": "AA",
142 "zip_code": "zip_code",
143 "zip_plus_four_code": "zip_plus_four_code",
144 "address2": "address2"
145 },
146 "address_type": "DEFAULT"
147 },
148 {
149 "address": {
150 "address1": "address1",
151 "city": "city",
152 "state": "AA",
153 "zip_code": "zip_code",
154 "zip_plus_four_code": "zip_plus_four_code",
155 "address2": "address2"
156 },
157 "address_type": "DEFAULT"
158 }
159 ],
160 "employment_start_date": "2023-01-15",
161 "employment_termination_date": "2023-01-15"
162 },
163 "source": "source",
164 "end_date": "2023-01-15",
165 "medallion_payer_enrollment_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
166 "payer_loaded_date": "2023-01-15",
167 "start_date": "2023-01-15",
168 "submitted_date": "2023-01-15"
169}
Was this page helpful?
Previous

Get provider credentialing span

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Request

This endpoint expects an object.
rendering_provider_idUUIDRequired
The ID of the rendering provider covered by the credentialing span.
contracting_provider_idUUIDRequired
The ID of the billing provider for which the service facility is covered by the credentialing span.
payer_uuidUUIDRequired
The ID of the payer covered by the credentialing span.
regionsobjectRequired
The states covered by the credentialing span. A span may be national and cover all states.
start_datedateOptional
Start date of the credentialing span.
end_datedateOptional
End date of the credentialing span.
submitted_datedateOptional
Date that the credential paperwork was submitted.
payer_loaded_datedateOptional
Date that the payer loaded the credentialing span into their system.

Response

This endpoint returns an object.
contracting_providerobject
The practice location at which the rendering provider is covered by the credentialing span.
credentialing_statusenum
Status of the credentialing span.
Allowed values:
is_enabledboolean
Is the credentialing span enabled?
payerobject
The payer doing the credentialing.
provider_credentialing_span_idUUID
regionsobject
The states covered by the credentialing span. A span may be national and cover all states.
rendering_providerobject
The rendering provider covered by the credentialing span.
sourcestring
Source of the credentialing span.
end_datedate
End date of the credentialing span.
medallion_payer_enrollment_idUUID
Provider ID for the related medallion payer enrollment.
payer_loaded_datedate
Date that the payer loaded the credentialing span into their system.
start_datedate
Start date of the credentialing span.
submitted_datedate
Date that the credential paperwork was submitted.

Errors

403
Unauthorized Error
422
HTTP Request Validations Error